<?php
/**
 * Functions for configuring demo importer.
 *
 * @package Importer/Functions
 * @version 1.0.0
 */

defined( 'ABSPATH' ) || exit;

/**
 * Setup demo importer config.
 *
 * @deprecated 1.5.0
 *
 * @param  array $demo_config Demo config.
 *
 * @return array
 */
function spacious_demo_importer_config( $demo_config ) {
	$new_demo_config = array(
		/**
		 * Spacious Pro demos
		 */
		'spacious-pro'          => array(
			'name'                   => __( 'Spacious Pro', 'spacious' ),
			'demo_url'               => 'https://demo.themegrill.com/spacious-pro/',
			'demo_pack'              => false,
			'theme'                  => 'Spacious Pro',
			'template'               => 'spacious-pro',
			'core_options'           => array(
				'blogname'       => 'Spacious Pro',
				'page_on_front'  => 'Home',
				'page_for_posts' => 'Blog',
			),
			'customizer_data_update' => array(
				'nav_menu_locations' => array(
					'header'  => 'Header Top Menu',
					'primary' => 'Primary',
					'footer'  => 'Spacious Pro',
				),
			),
			'plugins_list'           => array(
				'required'    => array(
					'everest-forms' => array(
						'name' => __( 'Everest Forms – Easy Contact Form and Form Builder', 'spacious' ),
						'slug' => 'everest-forms/everest-forms.php',
					),
				),
				'recommended' => array(
					'breadcrumb-navxt'             => array(
						'name' => __( 'Breadcrumb NavXT', 'spacious' ),
						'slug' => 'breadcrumb-navxt/breadcrumb-navxt.php',
					),
					'woocommerce'                  => array(
						'name' => __( 'WooCommerce', 'spacious' ),
						'slug' => 'woocommerce/woocommerce.php',
					),
					'recent-posts-widget-extended' => array(
						'name' => __( 'Recent Posts Widget Extended', 'spacious' ),
						'slug' => 'recent-posts-widget-extended/rpwe.php',
					),
				),
			),
		),
		'spacious-pro-business' => array(
			'name'                   => __( 'Spacious Pro Business', 'spacious' ),
			'demo_url'               => 'https://demo.themegrill.com/spacious-pro-business/',
			'demo_pack'              => false,
			'theme'                  => 'Spacious Pro',
			'template'               => 'spacious-pro',
			'core_options'           => array(
				'blogname'      => 'Spacious Pro Business',
				'page_on_front' => 'Home',
			),
			'customizer_data_update' => array(
				'nav_menu_locations' => array(
					'primary' => 'Main Menu',
					'header'  => 'topbar',
				),
			),
			'plugins_list'           => array(
				'required' => array(
					'elementor'        => array(
						'name' => __( 'Elementor', 'spacious' ),
						'slug' => 'elementor/elementor.php',
					),
					'spacious-toolkit' => array(
						'name' => __( 'Spacious Toolkit', 'spacious' ),
						'slug' => 'spacious-toolkit/spacious-toolkit.php',
					),
					'everest-forms'    => array(
						'name' => __( 'Everest Forms – Easy Contact Form and Form Builder', 'spacious' ),
						'slug' => 'everest-forms/everest-forms.php',
					),
				),
			),
		),

		/**
		 * Spacious Free demos
		 */
		'spacious-free'         => array(
			'name'                   => __( 'Spacious Free', 'spacious' ),
			'demo_url'               => 'https://demo.themegrill.com/spacious/',
			'demo_pack'              => false,
			'theme'                  => 'Spacious Pro',
			'template'               => 'spacious-pro',
			'core_options'           => array(
				'blogname'       => 'Spacious',
				'page_on_front'  => 'Business Template',
				'page_for_posts' => 'Blog',
			),
			'customizer_data_update' => array(
				'nav_menu_locations' => array(
					'primary' => 'Primary',
					'footer'  => 'Footer Menu',
				),
			),
			'plugins_list'           => array(
				'required'    => array(
					'everest-forms' => array(
						'name' => __( 'Everest Forms – Easy Contact Form and Form Builder', 'spacious' ),
						'slug' => 'everest-forms/everest-forms.php',
					),
				),
				'recommended' => array(
					'woocommerce'                  => array(
						'name' => __( 'WooCommerce', 'spacious' ),
						'slug' => 'woocommerce/woocommerce.php',
					),
					'recent-posts-widget-extended' => array(
						'name' => __( 'Recent Posts Widget Extended', 'spacious' ),
						'slug' => 'recent-posts-widget-extended/rpwe.php',
					),
				),
			),
		),
		'spacious-blog'         => array(
			'name'                   => __( 'Spacious Blog', 'spacious' ),
			'demo_url'               => 'https://demo.themegrill.com/spacious-blog/',
			'demo_pack'              => false,
			'theme'                  => 'Spacious Pro',
			'template'               => 'spacious-pro',
			'core_options'           => array(
				'blogname'      => 'Spacious Blog',
				'page_on_front' => 'Home',
			),
			'customizer_data_update' => array(
				'nav_menu_locations' => array(
					'primary' => 'primary',
				),
			),
			'plugins_list'           => array(
				'required' => array(
					'elementor'        => array(
						'name' => __( 'Elementor', 'spacious' ),
						'slug' => 'elementor/elementor.php',
					),
					'spacious-toolkit' => array(
						'name' => __( 'Spacious Toolkit', 'spacious' ),
						'slug' => 'spacious-toolkit/spacious-toolkit.php',
					),
					'everest-forms'    => array(
						'name' => __( 'Everest Forms – Easy Contact Form and Form Builder', 'spacious' ),
						'slug' => 'everest-forms/everest-forms.php',
					),
				),
			),
		),
	);

	return array_merge( $new_demo_config, $demo_config );
}

add_filter( 'themegrill_demo_importer_config', 'spacious_demo_importer_config' );

